back-office-app/routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use App\Http\Controllers\ItemTypesController;

Auth::routes();
Route::get('/', 'CatalogController@index')->name('catalog.index');
Route::get('/catalog/{id}/detail', 'CatalogController@detail')->name('catalog.detail');

Route::group(['middleware' => ['auth']], function(){
    Route::prefix('admin')->group(function () {
        Route::resource('dashboard', 'DashboardController');
        Route::resource('brands', 'BrandController');
        Route::resource('categories', 'CategoriesController');
        Route::resource('products', 'ProductsController');
        Route::resource('itemtypes', 'ItemTypesController');
        Route::get('export/itemtypes', 'ItemTypesController@fileExport')->name('itemtypes-export');
        Route::get('pdf/itemtypes', 'ItemTypesController@pdf')->name('itemtypes-pdf');
        Route::get('export/brands', 'BrandController@fileExport')->name('brands-export');
        Route::get('pdf/brands', 'BrandController@pdf')->name('brands-pdf');
        Route::get('export/categories', 'CategoriesController@fileExport')->name('categories-export');
        Route::get('pdf/categories', 'CategoriesController@pdf')->name('categories-pdf');
        Route::get('export/products', 'ProductsController@fileExport')->name('products-export');
        Route::get('pdf/products', 'ProductsController@pdf')->name('products-pdf');
        Route::resource('profile', 'ProfileController');
    });
});
Route::get('/admin', function () {
    return view('auth.login');
});

back-office-app/app/Http/Controllers/ItemTypesController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Itemtypes;
use App\Models\Categories;
use App\Models\Brands;
use Alert;
use Maatwebsite\Excel\Facades\Excel;
use PDF;
use App\Exports\ItemTypeExport;

class ItemTypesController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        $itemtypes = new Itemtypes;
        if($request->search){
            $itemtypes = $itemtypes->where('name','like', '%'.$request->search.'%');
        }
        $items = $itemtypes->paginate(5);
        return view('itemtypes.index', ['items' => $items, 'search' => $request->search]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $itemtypes = Itemtypes::all();
        $categories = Categories::all();
        $brands = Brands::all();
        return view('itemtypes.create', ['itemtypes' => $itemtypes, 'categories' => $categories, 'brands' => $brands]);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'name' => 'required',
            'category_id' => 'required',
            'brand_id' => 'required'
        ]);

        $itemtypes = new Itemtypes;
        $itemtypes->name = $request->name;
        $itemtypes->category_id = $request->category_id;
        $itemtypes->brand_id = $request->brand_id;
        $itemtypes->save();
        Alert::success('Congrats', 'Item Type Succesfully Saved');
        return redirect(route('itemtypes.index'));
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $itemtypes = Itemtypes::find($id);
        $categories = Categories::all();
        $brands = Brands::all();
        return view('itemtypes.edit', ['itemtypes' => $itemtypes, 'categories' => $categories, 'brands' => $brands]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $request->validate([
            'name' => 'required',
            'category_id' => 'required',
            'brand_id' => 'required'
        ]);

        $itemtypes = Itemtypes::find($id);
        $itemtypes->name = $request->name;
        $itemtypes->category_id = $request->category_id;
        $itemtypes->brand_id = $request->brand_id;
        $itemtypes->update();
        Alert::success('Congrats', 'Item Type Succesfully Updated');
        return redirect(route('itemtypes.index'));
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $item = Itemtypes::find($id);
        $item->delete();
        Alert::info('Congrats', 'Item Type Succesfully Deleted');
        return redirect(route('itemtypes.index'));
    }

    public function fileExport()
    {
        return Excel::download(new ItemTypeExport, 'itemtypes-collection.xlsx');
    }

    public function pdf()
    {
    	$items = Itemtypes::all();
    	$pdf = PDF::loadview('itemtypes.pdf',['items'=>$items]);
    	return $pdf->download('itemtypes.pdf');
    }

}

back-office-app/resources/views/itemtypes/create.blade.php
@extends('layouts.master')

@section('title')
Item Types Page
@endsection

@section('content')
<a href="{{URL::previous()}}" class="btn btn-primary mb-3"><i class="fa fa-arrow-left"></i> Kembali</a>
<div class="card" style="border:none;">
  <div class="card-body">
    <div class="col-12 p-0">
      <form method="post" action="{{route('itemtypes.store')}}">
        @csrf
        <div class="form-group">
          <label for="name">Name</label>
          <input type="text" class="form-control" id="name" name="name">
        </div>
        @error('name')
          <div class="alert alert-danger">{{ $message }}</div>
        @enderror
        <div class="form-group">
          <label for="name">Category</label>
          <select name="category_id" id="category_id" class="form-control">
            <option selected>Choose...</option>
            @foreach($categories as $category)
            <option value="{{$category->id}}">{{$category->name}}</option>
            @endforeach
          </select>
          @error('category_id')
              <div class="alert alert-danger">
              <strong>{{ $message }}</strong>
              </div>
          @enderror
        </div>
        <div class="form-group">
          <label for="name">Brand</label>
          <select name="brand_id" id="brand_id" class="form-control">
            <option selected>Choose...</option>
            @foreach($brands as $brand)
            <option value="{{$brand->id}}">{{$brand->name}}</option>
            @endforeach
          </select>
          @error('brand_id')
              <div class="alert alert-danger">
              <strong>{{ $message }}</strong>
              </div>
          @enderror
        </div>
        <div class="form-group row">
          <div class="col-sm-10">
            <button type="submit" class="btn btn-success">Simpan</button>
            <a href="{{URL::previous()}}" class="btn btn-warning text-white">Batal</a>
          </div>
        </div>
      </form>
    </div>
  </div>
</div>
@endsection

back-office-app/resources/views/itemtypes/edit.blade.php
@extends('layouts.master')

@section('title')
Item Types Page
@endsection

@section('content')
<a href="{{URL::previous()}}" class="btn btn-primary mb-3"><i class="fa fa-arrow-left"></i> Kembali</a>
<div class="card" style="border:none;">
  <div class="card-body">
    <div class="col-12 p-0">
      <form method="post" action="{{route('itemtypes.update', $itemtypes->id)}}">
        @csrf
        @method('put')
        <div class="form-group">
          <label for="name">Name</label>
          <input type="text" class="form-control" id="name" name="name" value="{{$itemtypes->name}}">
        </div>
        @error('name')
          <div class="alert alert-danger">{{ $message }}</div>
        @enderror
        <div class="form-group">
          <label for="name">Category</label>
          <select name="category_id" id="category_id" class="form-control">
            @foreach($categories as $category)
            @if($category->id == $itemtypes->category_id)
            <option value="{{ $itemtypes->category_id }}" selected>{{ App\Models\Categories::where('id',$itemtypes->category_id)->value('name') }}</option>
            @else
            <option value="{{$category->id}}">{{$category->name}}</option>
            @endif
            @endforeach
          </select>
          @error('category_id')
              <div class="alert alert-danger">
              <strong>{{ $message }}</strong>
              </div>
          @enderror
        </div>
        <div class="form-group">
          <label for="name">Brand</label>
          <select name="brand_id" id="brand_id" class="form-control">
            @foreach($brands as $brand)
            @if($brand->id == $itemtypes->brand_id)
            <option value="{{ $itemtypes->brand_id }}" selected>{{ App\Models\Brands::where('id',$itemtypes->brand_id)->value('name') }}</option>
            @else
            <option value="{{$brand->id}}">{{$brand->name}}</option>
            @endif
            @endforeach
          </select>
          @error('brand_id')
              <div class="alert alert-danger">
              <strong>{{ $message }}</strong>
              </div>
          @enderror
        </div>
        <div class="form-group row">
          <div class="col-sm-10">
            <button type="submit" class="btn btn-success">Simpan</button>
            <a href="{{URL::previous()}}" class="btn btn-warning text-white">Batal</a>
          </div>
        </div>
      </form>
    </div>
  </div>
</div>
@endsection

back-office-app/resources/views/itemtypes/index.blade.php
@extends('layouts.master')

@section('title')
Item Type Page
@endsection

@section('content')
<div class="container-fluid">
    <form method="get" action="{{ route('itemtypes.store') }}">
        <div class="row">
            <div class="col-2">
                <a style="width: 100%;" href="{{route('itemtypes.create')}}" class="btn btn-primary btn-md mb-3"><i class="fa fa-plus" aria-hidden="true"></i> Create Data</a>
            </div>
            <div class="col-4 p-0">
                <div class="form-group">
                    <input type="text" class="form-control" id="search" name="search" placeholder="Search By Name" value={{ $search }}>
                </div>
            </div>
            <div class="col-2">
                <button style="width: 100%;" type="submit" class="btn btn-success btn-md mb-3"><i class="fa fa-search" aria-hidden="true"></i> Search</button>
            </div>
            <div class="col-2">
                <a style="width: 100%;" href="{{route('itemtypes-export')}}" class="btn btn-warning btn-md mb-3">Export as XLS</a>
            </div>
            <div class="col-2">
                <a style="width: 100%;" href="{{route('itemtypes-pdf')}}" class="btn btn-info btn-md mb-3">Export as PDF</a>
            </div>
        </div>
    <form>
    <div class="card shadow mb-4">
        <div class="card-header py-3">
            <h6 class="m-0 font-weight-bold text-primary">DataTables Item Type</h6>
        </div>
        <div class="card-body">
            <div class="table-responsive">
                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                    <thead>
                        <tr>
                            <th>No</th>
                            <th>Item Name</th>
                            <th>Categories Name</th>
                            <th>Brand Name</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach($items as $key => $item)
                        <tr>
                            <td>{{$key + 1}}</td>
                            <td>{{ $item->name }}</td>
					        <td>{{ App\Models\Categories::where('id', $item->category_id)->value('name') }}</td>
					        <td>{{ App\Models\Brands::where('id', $item->brand_id)->value('name') }}</td>
                            <td>
                                <form action="{{route('itemtypes.destroy', $item->id)}}" method="post">
                                    @csrf
                                    @method('delete')
                                    <a href="{{route('itemtypes.edit', $item->id)}}" class="btn btn-warning btn-sm text-white"><i class="fa fa-pen"></i></a>
                                    <button onclick="return confirm('Are you sure to delete this data?')" class="btn btn-danger btn-sm"><i class="fa fa-trash"></i></button>
                                </form>
                            </td>
                        @endforeach
                    </tbody>
                </table>
            </div>
            <div class="float-right">
                {{ $items->appends(request()->query())->links() }}
            </div>
        </div>
    </div>
</div>
@endsection

back-office-app/resources/views/itemtypes/pdf.blade.php
<!DOCTYPE html>
<html>
<head>
	<title>Item Types</title>
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
</head>
<body>
	<style type="text/css">
		table tr td,
		table tr th{
			font-size: 9pt;
		}
	</style>

	<table class='table table-bordered'>
		<thead>
			<tr>
                <th>No</th>
                <th>Item Name</th>
                <th>Categories Name</th>
                <th>Brand Name</th>
            </tr>
		</thead>
		<tbody>
			@php $i=1 @endphp
            @foreach($items as $key => $item)
                <tr>
                    <td>{{$i++}}</td>
                    <td>{{ $item->name }}</td>
					<td>{{ App\Models\Categories::where('id', $item->category_id)->value('name') }}</td>
					<td>{{ App\Models\Brands::where('id', $item->brand_id)->value('name') }}</td>
                </tr>
            @endforeach
		</tbody>
	</table>

</body>
</html>